import request from '@/utils/request'

//优惠券基本信息/adminapi/coupon/info
export function getbasecoupon(params: any) {
    return request.get({ url: '/coupon/info', params })
}
//领取记录
export function getcouponlists(params: any) {
    return request.get({ url: '/coupon/receive/log/list', params })
}
//作废
export function setcouponlists(params: any) {
    return request.post({ url: '/coupon_lists/void', params })
}
//优惠券列表
export function GetcouponLists(params?: any) {
    return request.get({ url: '/coupon/list', params })
}
//优惠券详情/adminapi/coupon/detail
export function getCoupondetail(params: any) {
    return request.get({ url: '/coupon/detail', params })
}
//添加优惠券
export function addCoupon(params: any) {
    return request.post({ url: '/coupon/create', params })
}
//编辑优惠券
export function editCoupon(params: any) {
    return request.post({ url: '/coupon/edit', params })
}
//删除优惠券
export function delCoupon(params: any) {
    return request.post({ url: '/coupon/delete', params })
}
//开始领取
export function startCoupon(params: any) {
    return request.get({ url: '/coupon/start', params })
}
//停止领取
export function overCoupon(params: any) {
    return request.post({ url: '/coupon/stop', params })
}
//系统发放优惠券
export function sendCoupon(params: any) {
    return request.post({ url: '/coupon/send', params })
}
//抢购列表/adminapi/seckill/lists
export function getseckilllists(params: any) {
    return request.get({ url: '/seckill/lists', params })
}
